Subject: Why we stopped our communication? "I expected more, Olga!

From: Elena <[email-masked]>
Date: Mon, 1 Feb 2010 00:01:11 -0800 (PST)

Hey - why do I stop writing? "I very much waited your letter - every day,
I now have a website, come to my page and write to me at last,
I'm waiting for you, and I want to meet with you, kisses - Nadia from Russia!
Click here